The BOOST_PP_TUPLE_INSERT_D macro inserts an element into a tuple. It reenters BOOST_PP_WHILE with maximum efficiency.

#### Usage

BOOST_PP_TUPLE_INSERT_D(d, tuple, i, elem)

#### Arguments

d
  The next available BOOST_PP_WHILE iteration.
tuple
  The tuple into which an element is to be inserted.
i
  The zero-based position in tuple where an element is to be inserted. Valid values range from 0 to BOOST_PP_TUPLE_SIZE(tuple).
elem
  The element to insert.

#### Remarks

This macro inserts elem before the element at index i.
If the operation attempts to create an tuple that is larger than BOOST_PP_LIMIT_TUPLE, the result is undefined.

#### See Also

- BOOST_PP_TUPLE_INSERT

#### Requirements

Header: <boost/preprocessor/tuple/insert.hpp>

© Copyright Edward Diener 2013

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)